#include <gtk/gtk.h>
#include <gladeui/glade.h>
#include "aspectbin.h"

void aspect_bin_post_create(GladeWidgetAdaptor *adaptor,
                            GObject            *object,
                            GladeCreateReason   reason)
{
	AspectBin *abin;
	g_return_if_fail(IS_ASPECT_BIN(object));
	abin = ASPECT_BIN(object);

	if (reason == GLADE_CREATE_USER) {
		if (!aspect_bin_get_body(abin))
			aspect_bin_set_body(abin, glade_placeholder_new(), 1);
		if (!aspect_bin_get_side(abin))
			aspect_bin_set_side(abin, glade_placeholder_new());
	}
}
