#include <gtk/gtk.h>
#include "aspectbin.h"

int main(int argc, char **argv)
{
	GtkWidget *window;
	GtkWidget *aspectbin;
	GtkWidget *button1, *button2;

	gtk_init(&argc, &argv);

	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title(GTK_WINDOW(window), "Blargh");
	gtk_window_set_default_size(GTK_WINDOW(window), 400, 300);

	aspectbin = aspect_bin_new();
	button1 = gtk_button_new_with_label("Square");
	button2 = gtk_button_new_with_label("Rectangle");

	aspect_bin_set_body(ASPECT_BIN(aspectbin), button1, 1);
	aspect_bin_set_side(ASPECT_BIN(aspectbin), button2);

	ASPECT_BIN(aspectbin)->constrain = TRUE;
	ASPECT_BIN(aspectbin)->align     = 0.5;

	gtk_container_add(GTK_CONTAINER(window), aspectbin);

	gtk_widget_show_all(window);
	gtk_main();

	return 0;
}
